/* Universal event driven graphics interface for editskin (es) */

#define ES_NOBUTTON		0
#define ES_LEFTBUTTON		1
#define ES_RIGHTBUTTON		2
#define ES_MIDDLEBUTTON		3

typedef struct {
 int key;
 int mb;
 int mx,my;
 int ox,oy;
} es_event;

es_event ev;

void es_init	();
void es_close	();

int es_hasmode		();
char *es_getmodename	();

es_event es_handler	(es_event t);

long es_color		(int r, int g, int b);
void es_setpixel	(int x, int y, long c);
void es_setpixelrgb	(int x, int y, int r, int g, int b);
void es_setfontcolors	(long bg, long fg);
void es_write		(int x, int y, char *s);

int es_checkbutton	(int status);

int es_getch		();

#ifndef HEIGHT
#define HEIGHT	480
#endif

#ifndef WIDTH
#define WIDTH	640
#endif

